Ask Your Question
0

AttributeError: 'FlatManager' object has no attribute 'allocate_network'

asked 2010-12-08 11:36:13 -0500

raj-msce gravatar image

Hi,

We are facing the following error while trying to create a project using nova-manage service,

nova-manage project create myproject admin /usr/lib/pymodules/python2.6/nova/db/sqlalchemy/api.py:42: DeprecationWarning: Use of empty request context is deprecated DeprecationWarning) Traceback (most recent call last): File "/usr/bin/nova-manage", line 457, in <module> main() File "/usr/bin/nova-manage", line 449, in main fn(*argv) File "/usr/bin/nova-manage", line 297, in create self.manager.create_project(name, project_manager, description) File "/usr/lib/pymodules/python2.6/nova/auth/manager.py", line 488, in create_project self.network_manager.allocate_network(context, AttributeError: 'FlatManager' object has no attribute 'allocate_network'

Please help me.

Regards, Raaj

edit retag flag offensive close merge delete

5 answers

Sort by » oldest newest most voted
0

answered 2010-12-09 06:41:21 -0500

raj-msce gravatar image

Thanks Soren Hansen, that solved my question.

edit flag offensive delete link more
0

answered 2010-12-08 12:20:59 -0500

raj-msce gravatar image

I have installed using ,

add-apt-repository ppa:nova-core/ppa and ,

apt-get install nova-common nova-doc ....

How to find the version?

edit flag offensive delete link more
0

answered 2010-12-08 12:04:36 -0500

soren gravatar image

Which version of Nova is this?


Soren Hansen Ubuntu Developer    http://www.ubuntu.com/ OpenStack Developer http://www.openstack.org/

edit flag offensive delete link more
0

answered 2010-12-08 12:23:30 -0500

soren gravatar image

To find the currently installed versions, use:

dpkg -l 'nova' | cat

(The "| cat" make dpkg not truncate its output, so it's often needed due to long version strings)

You should use the nova-core/trunk PPA instead.

sudo add-apt-repository ppa:nova-core/trunk


Soren Hansen Ubuntu Developer    http://www.ubuntu.com/ OpenStack Developer http://www.openstack.org/

edit flag offensive delete link more
0

answered 2010-12-08 12:30:39 -0500

raj-msce gravatar image

This is the output when I run the above command

Desired=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad) ||/ Name Version Description +++-====================================-=================================================-============================================================================ ii nova-api 0.9.1~bzr331-0ubuntu2 OpenStack Compute - Nova - API frontend ii nova-common 0.9.1~bzr331-0ubuntu2 OpenStack Compute - Nova - common files ii nova-doc 0.9.1~bzr331-0ubuntu2 OpenStack Compute - Nova - documetation ii nova-network 0.9.1~bzr331-0ubuntu2 OpenStack Compute - Nova - Network thingamajig ii nova-objectstore 0.9.1~bzr331-0ubuntu2 OpenStack Compute - Nova - object store ii nova-scheduler 0.9.1~bzr331-0ubuntu2 OpenStack Compute - Nova - Scheduler ii python-nova 0.9.1~bzr331-0ubuntu2 OpenStack Compute - Nova - Python libraries un python2.6-nova <none> (no description available)

And one more question, how can do a clean uninstall of nova and do a fresh install?

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2010-12-08 11:36:13 -0500

Seen: 27 times

Last updated: Dec 09 '10